Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'Colunas
        ListView1.Columns.Add("Campo 1", CInt(ListView1.Width / 4), HorizontalAlignment.Center)
        ListView1.Columns.Add("Campo 2", CInt(ListView1.Width / 4), HorizontalAlignment.Center)
        ListView1.Columns.Add("Campo 3", CInt(ListView1.Width / 4), HorizontalAlignment.Center)
        ListView1.Columns.Add("Campo 4", CInt(ListView1.Width / 4), HorizontalAlignment.Center)

        'Linha 1
        Dim ListItem1 As ListViewItem
        ListItem1 = ListView1.Items.Add("Item 1", 1)
        ListView1.Items(0).SubItems.Add("Campo 2")
        ListView1.Items(0).SubItems.Add("Campo 3")
        ListView1.Items(0).SubItems.Add("Campo 4")

        'Linha 2
        Dim ListItem2 As ListViewItem
        ListItem2 = ListView1.Items.Add("Item 2", 1)
        ListView1.Items(1).SubItems.Add("Campo 2")
        ListView1.Items(1).SubItems.Add("Campo 3")
        ListView1.Items(1).SubItems.Add("Campo 4")

        'Linha 3
        Dim ListItem3 As ListViewItem
        ListItem3 = ListView1.Items.Add("Item 3", 1)
        ListView1.Items(2).SubItems.Add("Campo 2")
        ListView1.Items(2).SubItems.Add("Campo 3")
        ListView1.Items(2).SubItems.Add("Campo 4")

        ListView1.SmallImageList = ImageList1
        ListView1.LargeImageList = ImageList2

        'Itens do ComboBox
        With ComboBox1
            .Items.Add("Large Icon View")
            .Items.Add("Report View")
            .Items.Add("Small Icon View")
            .Items.Add("List View")
            .Items.Add("Tile View")
        End With
    End Sub

    Private Sub ComboBox1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ComboBox1.SelectedIndexChanged
        ListView1.View = ComboBox1.SelectedIndex
    End Sub

    Private Sub ListView1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ListView1.SelectedIndexChanged
        If ListView1.SelectedIndices.Count() > 0 Then
            TextBox1.Text = "Você clicou no item " & _
                ListView1.SelectedIndices(0) + 1
        End If
    End Sub
End Class